UpdateStatement (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Class UpdateStatement

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractStatement
                              org.hibernate.hql.internal.ast.tree.AbstractRestrictableStatement
                                  org.hibernate.hql.internal.ast.tree.UpdateStatement

All Implemented Interfaces:
  antlr.collections.AST, Serializable, DisplayableNode, InitializeableNode, RestrictableStatement, Statement

    public class UpdateStatement

extends AbstractRestrictableStatement

Defines a top-level AST node representing an HQL update statement.

See Also:
  Serialized Form

Field Summary

Fields inherited from class antlr.BaseAST
`down, right`

Constructor Summary
`UpdateStatement()`

Method Summary
`protected CoreMessageLogger` | `getLog()`
`antlr.collections.AST` | `getSetClause()`
`int` | `getStatementType()` Return the main token type representing the type of this statement.
`protected int` | `getWhereClauseParentTokenType()`
`boolean` | `needsExecutor()` Does this statement require the StatementExecutor?

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractRestrictableStatement
`getFromClause, getWhereClause, hasWhereClause, locateWhereClause`

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractStatement
`getDisplayText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.Statement
`getWalker`

Constructor Detail

### UpdateStatement

    public UpdateStatement()

Method Detail

### getStatementType

    public int getStatementType()

  Description copied from interface: `Statement`
  Return the main token type representing the type of this statement.

  Returns:
    The corresponding token type.
  See Also:
    `Statement.getStatementType()`

### needsExecutor

    public boolean needsExecutor()

  Description copied from interface: `Statement`
  Does this statement require the StatementExecutor? Essentially, at the JDBC level, does this require an executeUpdate()?

  Returns:
    True if this statement should be handed off to the StatementExecutor to be executed; false otherwise.
  See Also:
    `Statement.needsExecutor()`

### getWhereClauseParentTokenType

    protected int getWhereClauseParentTokenType()

  Specified by:
    `getWhereClauseParentTokenType` in class `AbstractRestrictableStatement`

### getLog

    protected CoreMessageLogger getLog()

  Specified by:
    `getLog` in class `AbstractRestrictableStatement`

### getSetClause

    public antlr.collections.AST getSetClause()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.